/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.util.swing.beanbinding;

import org.jdesktop.beansbinding.Validator;
import org.openide.util.NbBundle;

/**
 * Validates if a Double is positive
 *
 * @author Merijn Zengers
 */
@NbBundle.Messages("PositiveDoubleValidator error message=Positive values only")
public class PositiveDoubleValidator extends Validator<Double> {
    
    /**
     * Checks if the passed in double is positive
     * @param t
     * @return {@link Result} if not positive else null
     */
    @Override
    public Validator.Result validate(Double t) {
        if (t < 0) {
            return new Validator.Result(null, Bundle.PositiveDoubleValidator_error_message());
        }
        return null;
    }
}